- Qt 6.7
- Qt 3D
- QML Types
- Qt3D.Input
- InputSequence
- Qt 6.7.2 Reference Documentation

# InputSequence QML Type

QML frontend for the Qt3DInput::QInputSequence C++ class. More...

Import Statement: | import Qt3D.Input 2.7

- List of all members, including inherited members

## Properties

- buttonInterval : int
- sequences : list<AbstractActionInput>
- timeout : int

## Signals

- buttonIntervalChanged()
- timeoutChanged()

## Detailed Description

Represents a set of QAbstractActionInput's that must be triggerd one after the other.

The following example shows a chord that will be triggered by pressing the A and S keys together with a tolerance of 10 miliseconds between presses.

     InputChord {
       tolerance: 10
       inputs: [
          ActionInput {
              sourceDevice: keyboardSourceDevice
              keys: [Qt.Key_A]
          },
          ActionInput {
             sourceDevice: keyboardSourceDevice
             keys: [Qt.Key_S]
          }
          ]
     }

## Property Documentation

buttonInterval : int

The maximum time in milliseconds in between consecutive QAbstractActionInput's in the input sequence.

sequences : list<AbstractActionInput>

timeout : int

The time in milliseconds in which all QAbstractActionInput's in the input sequence must triggered within.

## Signal Documentation

buttonIntervalChanged()

This signal is emitted when the buttonInterval of the input sequence is changed.

The corresponding handler is `onButtonIntervalChanged`

Note: The corresponding handler is `onButtonIntervalChanged`.

timeoutChanged()

This signal is emitted when the timeout of the input sequence is changed.

The corresponding handler is `onTimeoutChanged`

Note: The corresponding handler is `onTimeoutChanged`.